Accounts & connections · Connect
Adds an OAuth app.
https://api.pozy.ai/v1/connect/oauth-appsGuide: Use your own platform apps
Request
Send your API key as Authorization: Bearer pz_live_.... Read-only keys cannot call it. Keys with the accounts resource group disabled get 403 resource_group_disabled. Authentication
This endpoint is not available yet. Calls return 403 feature_not_available.
Request body
application/json, required
platformstringrequiredlabelstringrequired1 to 80 characters.
clientIdstringrequired1 to 500 characters.
clientSecretstringrequired1 to 1000 characters.
metaAppIdstringMatches
^\d{1,32}$.metaAppSecretstring1 to 1000 characters.
slackSigningSecretstring1 to 1000 characters.
scopeAreasarray of stringEach item: one of
posting,analytics,comments,messaging.
Example
curl -X POST "https://api.pozy.ai/v1/connect/oauth-apps" \
-H "Authorization: Bearer $POZY_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"platform": "instagram",
"label": "string",
"clientId": "6676c044a482bcb231679047",
"clientSecret": "string"
}'const res = await fetch("https://api.pozy.ai/v1/connect/oauth-apps", {
method: "POST",
headers: {
Authorization: `Bearer ${process.env.POZY_API_KEY}`,
"Content-Type": "application/json",
},
body: JSON.stringify({
platform: "instagram",
label: "string",
clientId: "6676c044a482bcb231679047",
clientSecret: "string"
}),
});
const data = await res.json();
if (!res.ok) throw new Error(data?.error ?? `Request failed with status ${res.status}`);
console.log(data);import os
import requests
resp = requests.post(
"https://api.pozy.ai/v1/connect/oauth-apps",
headers={"Authorization": f"Bearer {os.environ['POZY_API_KEY']}"},
json={
"platform": "instagram",
"label": "string",
"clientId": "6676c044a482bcb231679047",
"clientSecret": "string",
},
timeout=30,
)
resp.raise_for_status()
print(resp.json())Response
201 on success
appobjectrequired15 child fields
idstringrequiredplatformstringrequiredlabelstringrequiredclientIdstringrequiredscopeAreasarray of stringrequiredEach item: one of
posting,analytics,comments,messaging.statusstringrequiredOne of
ok,unchecked,invalid.lastCheckedAtstring (date-time)Can be null.
lastErrorstringCan be null.
accountCountintegerrequiredredirectUristring (URL)requiredwebhookobjectCan be null.
4 child fields
callbackUrlstring (URL)requiredverifyTokenstringrequiredobjectstringrequiredOne of
page,instagram.fieldsarray of stringrequired
sharedWebhookUrlstring (URL)Can be null.
hasSlackSigningSecretbooleanslackEventsobjectCan be null.
2 child fields
requestUrlstring (URL)requiredbotEventsarray of stringrequired
createdAtstring (date-time)required
{
"app": {
"id": "6bfebd43ddc270f6d2c56fc5",
"platform": "instagram",
"label": "string",
"clientId": "6676c044a482bcb231679047",
"scopeAreas": [
"posting"
],
"status": "ok",
"lastCheckedAt": "2026-10-02T09:00:00.000Z",
"lastError": "string",
"accountCount": 42,
"redirectUri": "https://pozy.ai/media/example-1.jpg",
"webhook": {
"callbackUrl": "https://pozy.ai/media/example-1.jpg",
"verifyToken": "string",
"object": "page",
"fields": [
"string"
]
},
"sharedWebhookUrl": "https://pozy.ai/media/example-1.jpg",
"hasSlackSigningSecret": true,
"slackEvents": {
"requestUrl": "https://pozy.ai/media/example-1.jpg",
"botEvents": [
"string"
]
},
"createdAt": "2026-10-02T09:00:00.000Z"
}
}Errors
Errors use one shape: { error, type, code, param?, details? }. The ones you are most likely to see here:
| 400 | invalid_request_error | A parameter or body field is missing or invalid. param names it. |
| 401 | authentication_error | The API key is missing, revoked or expired. |
| 403 | permission_error | The key is read-only, scoped to other profiles, or has this resource group disabled. |
| 429 | rate_limit_error | Too many requests this minute. Wait for Retry-After seconds. |
Every code is listed in Errors.